<?php
	include_once(__DIR__."/../../core.php");

	if( $_GET['dir'] == 'entrata' ){
		$dir = 'entrata';
		$module_name = 'Fatture di vendita';
	}
	
	else{
		$dir = 'uscita';
		$module_name = 'Fatture di acquisto';
	}
	
	$iddocumento = $html->form('iddocumento');
	
	$rs = $dbo->fetchArray("SELECT numero, numero_esterno, idanagrafica FROM co_documenti WHERE id='".$iddocumento."'");
	$idanagrafica = $rs[0]['idanagrafica'];
	
	//($rs[0]['numero_esterno']!='') ? $numero_doc = $rs[0]['numero_esterno'] : $numero_doc = $rs[0]['numero'];
	//echo "<label>Documento numero $numero_doc</label><br><br>\n";	

	//Lettura ddt in bozza 
	$q = "SELECT id, numero, numero_esterno, DATE_FORMAT(data, '%d-%m-%Y') AS data FROM dt_ddt WHERE idanagrafica='".$idanagrafica."' AND idstatoddt IN( SELECT id FROM dt_statiddt WHERE descrizione='Bozza' ) AND idtipoddt=(SELECT id FROM dt_tipiddt WHERE dir='$dir') ORDER BY data DESC, numero DESC";
	$ddt = $dbo->fetchArray($q);
	$n = sizeof($ddt);



	
	echo "	<div class='row'>\n";

	// Seleziona ddt
	echo "		<div class='col-md-6'>\n";
	echo "			<div class='form-group'>\n";
	echo "				<label>Seleziona ddt</label>\n";
	echo "				<select id=\"id_ddt\" name=\"id_ddt\" class=\"superselect\" onchange=\"$('#righeddt').html('<i>caricamento in corso...</i>');$('#righeddt').load( '".$rootdir."/modules/documenti/add_ddt_righe.php?dir=$dir&iddocumento=$iddocumento&idddt='+$(this).find('option:selected').val() );\">\n";
	echo "					<option value=\"\">- Seleziona Ddt -</option>\n";
	
	for( $i=0; $i<$n; $i++ ){
		($ddt[$i]['numero_esterno']!='') ? $numero = $ddt[$i]['numero_esterno'] : $numero = $ddt[$i]['numero'];
		echo "				<option value=\"".$ddt[$i]['id']."\">nr. $numero del ".$ddt[$i]['data']."</option>\n";
	}

	echo "				</select>\n";
	echo "			</div>\n";
	echo "		</div>\n";
	echo "	</div>\n";
	
	echo "	<div class='row'>\n";
	echo "		<div id='righeddt' class='col-md-12'></div>\n";
	echo "	</div>\n";

	echo "	<br/><br/>\n";
	?>

	<script src="<?php echo $rootdir; ?>/lib/init.js"></script>

	<div class="clearfix"></div>


